Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] seg fault with intel compiler
From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2012-06-01 10:09:07


On Jun 1, 2012, at 10:03 AM, Edmund Sumbar wrote:

> I ran the following PBS script with "qsub -l procs=128 job.pbs". Environment variables are set using the Environment Modules packages.
>
> echo $HOSTNAME
> which mpiexec
> module load library/openmpi/1.6-intel

This *may* be the problem here.

It's been a loooong time since I've run under PBS, so I don't remember if your script's environment is copied out to the remote nodes where your application actually runs.

Can you verify that PATH and LD_LIBRARY_PATH are the same on all nodes in your PBS allocation after you module load?

FWIW, since you've installed OMPI 1.6, you may want to uninstall the Open MPI that may have been installed by your OS.

-- 
Jeff Squyres
jsquyres_at_[hidden]
For corporate legal information go to: http://www.cisco.com/web/about/doing_business/legal/cri/